Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.specific.endpoint.support
Class EndpointUtils

    java.lang.Object
      org.mule.config.spring.parsers.specific.endpoint.support.EndpointUtils

    public class EndpointUtils

extends Object

Routines and constants common to the two endpoint definition parsers.

See Also:
  `ChildEndpointDefinitionParser`, `OrphanEndpointDefinitionParser`

Field Summary
`static String` | `ADDRESS_ATTRIBUTE`
`static String` | `CONNECTOR_ATTRIBUTE`
`static String` | `TRANSFORMERS_ATTRIBUTE`
`static String` | `URI_BUILDER_ATTRIBUTE`

Constructor Summary
`EndpointUtils()`

Method Summary
`static void` | `addPostProcess(MuleDefinitionParser parser)`
`static void` | `addProperties(MuleDefinitionParser parser)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONNECTOR_ATTRIBUTE

    public static final String CONNECTOR_ATTRIBUTE

See Also:
  Constant Field Values

### TRANSFORMERS_ATTRIBUTE

    public static final String TRANSFORMERS_ATTRIBUTE

See Also:
  Constant Field Values

### URI_BUILDER_ATTRIBUTE

    public static final String URI_BUILDER_ATTRIBUTE

See Also:
  Constant Field Values

### ADDRESS_ATTRIBUTE

    public static final String ADDRESS_ATTRIBUTE

See Also:
  Constant Field Values

Constructor Detail

### EndpointUtils

    public EndpointUtils()

Method Detail

### addPostProcess

    public static void addPostProcess(MuleDefinitionParser parser)

### addProperties

    public static void addProperties(MuleDefinitionParser parser)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.